# Uses of Enum Class
org.eclipse.emf.cdo.common.model.CDOPackageUnit.State

Packages that use CDOPackageUnit.State
Package
Description
org.eclipse.emf.cdo.common.model
Common concepts for dealing with models and types.
org.eclipse.emf.cdo.spi.common.model
Common service provider interfaces and useful base implementations for dealing with models and types

## Uses of CDOPackageUnit.State in org.eclipse.emf.cdo.common.model

Methods in org.eclipse.emf.cdo.common.model that return CDOPackageUnit.State
Modifier and Type
Method
Description
`CDOPackageUnit.State`
CDOPackageUnit.`getState()`
Returns the current state of this package unit.
`static CDOPackageUnit.State`
CDOPackageUnit.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOPackageUnit.State[]`
CDOPackageUnit.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of CDOPackageUnit.State in org.eclipse.emf.cdo.spi.common.model

Methods in org.eclipse.emf.cdo.spi.common.model with parameters of type CDOPackageUnit.State
Modifier and Type
Method
Description
`void`
InternalCDOPackageRegistry.`putPackageUnits(InternalCDOPackageUnit[] packageUnits, CDOPackageUnit.State state)`
`void`
InternalCDOPackageUnit.`setState(CDOPackageUnit.State state)`